package com.hzya.frame.u8.delivery.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.u8.delivery.entity.DeliveryOrderEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * @Description U8发货单
 * @Author xiangerlin
 * @Date 2024/8/22 15:12
 **/
public interface IDeliveryOrderService extends IBaseService<DeliveryOrderEntity,String> {
    /**
     * 保存自定义项
     * @param entity
     */
    void saveExtradefine(DeliveryOrderEntity entity);
    /**
     *
     * @content 修改发货单数据
     * @className: Administrator
     * @author laborer
     * @date 2024-11-15 14:28
     *
     */

    JsonResultEntity editDelivery(JSONObject parm);
}
